testing: remove Mercurials 4.4 and 4.5 from the test environment
authorConnor Sheehan <sheehan@mozilla.com>
Tue, 30 Jul 2019 22:07:11 -0400
changeset 7143 709c897f2444dcfda27725af607cdf2cfade5d0d
parent 7142 1d53e657414f19da4a383320ad01f58330b35633
child 7144 99dca4809de4167839282456a658ecac8bcde990
push id3553
push usercosheehan@mozilla.com
push dateThu, 01 Aug 2019 15:46:45 +0000
treeherderversion-control-tools@709c897f2444 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
testing: remove Mercurials 4.4 and 4.5 from the test environment We don't support these old versions any more.
testing/vcttesting/environment.py
--- a/testing/vcttesting/environment.py
+++ b/testing/vcttesting/environment.py
@@ -97,18 +97,16 @@ def install_editable(venv, relpath, extr
     env.update(extra_env or {})
 
     subprocess.check_call(args, env=env)
 
 
 def install_mercurials(venv, hg):
     """Install supported Mercurial versions in a central location."""
     VERSIONS = [
-        '4.4.2',
-        '4.5.3',
         '4.6.2',
         '4.7.2',
         '4.8.2',
         '4.9.1',
         '5.0.1',
         '5.1rc0',
         '@',
     ]